python-pycairo_1.8.0: remove `DEFAULT_PREFERENCE = "-1"`

Submitted by Paul Menzel on Dec. 17, 2010, 10:03 a.m.

Details

Message ID 1292580216.24903.4.camel@mattotaupa
State Accepted
Headers show

Commit Message

Paul Menzel Dec. 17, 2010, 10:03 a.m.
Date: Thu, 16 Dec 2010 23:20:25 +0100

Cairo 1.8 is available for some time and ?ngström and other distributions have pinned this Pycairo version for quite some time.

Build tested with Minimal and Minimal uClibc.

	Build Configuration:
	BB_VERSION        = "1.10.0"
	METADATA_BRANCH   = "org.openembedded.dev"
	METADATA_REVISION = "977d4dd"
	TARGET_ARCH       = "arm"
	TARGET_OS         = "linux-gnueabi"
	MACHINE           = "beagleboard"
	DISTRO            = "minimal"
	DISTRO_VERSION    = "dev-snapshot-20101217"
	TARGET_FPU        = "hard"

	Build Configuration:
	BB_VERSION        = "1.10.0"
	METADATA_BRANCH   = "org.openembedded.dev"
	METADATA_REVISION = "977d4dd"
	TARGET_ARCH       = "arm"
	TARGET_OS         = "linux-uclibceabi"
	MACHINE           = "beagleboard"
	DISTRO            = "minimal-uclibc"
	DISTRO_VERSION    = "dev-snapshot-20101217"
	TARGET_FPU        = "hard"

`python-pygtk_2.16.0.bb` does not build with `python-pycairo_1.4.0` because it does not put its package config files in `sysroots`.

	checking for ATK... yes
	checking for PANGO... yes
	checking for codegen... /oe/build-minimal-eglibc/minimal-dev/sysroots/armv7a-oe-linux-gnueabi/usr/share/pygobject/2.0/codegen
	checking for PYCAIRO... no
	no
	not checking for gtk due to missing pycairo
	checking for GDK target... x11
	configure: WARNING: Could not find a valid numpy installation, disabling.
	checking whether arm-oe-linux-gnueabi-gcc -march=armv7-a -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -mthumb-interwork -mno-thumb understands -Wall... yes
	checking whether arm-oe-linux-gnueabi-gcc -march=armv7-a -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -mthumb-interwork -mno-thumb understands -fno-strict-aliasing... yes
	checking whether arm-oe-linux-gnueabi-gcc -march=armv7-a -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -mthumb-interwork -mno-thumb understands -std=c9x... yes
	configure: error: conditional "HAVE_GTK_2_16" was never defined.
	Usually this means the macro was only invoked conditionally.
	ERROR: Function do_configure failed

Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net>
---
 recipes/python/python-pycairo_1.8.0.bb |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

Patch hide | download patch | download mbox

diff --git a/recipes/python/python-pycairo_1.8.0.bb b/recipes/python/python-pycairo_1.8.0.bb
index 0b44acb..6f96ea8 100644
--- a/recipes/python/python-pycairo_1.8.0.bb
+++ b/recipes/python/python-pycairo_1.8.0.bb
@@ -6,8 +6,6 @@  LICENSE = "LGPL MPL"
 DEPENDS = "cairo"
 PR = "ml4"
 
-DEFAULT_PREFERENCE = "-1"
-
 SRC_URI = "http://cairographics.org/releases/pycairo-${PV}.tar.gz \
            file://fix-setup-py.patch"
 S = "${WORKDIR}/pycairo-${PV}"